Bug 192283 - smbios.system.uuid property is missing on 64-bit systems
smbios.system.uuid property is missing on 64-bit systems
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2006-05-18 15:03 EDT by Daniel Berrange
Modified: 2013-03-05 22:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-11 10:51:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 6965 None None None Never

  None (edit)
Description Daniel Berrange 2006-05-18 15:03:34 EDT
Description of problem:
On a 32-bit system, I get five fields under smbios.system:

#  lshal | grep smbios.system
  smbios.system.uuid = 'EF861801-45B9-11CB-88E3-AFBFE5370493'  (string)
  smbios.system.serial = 'KBPKNB2'  (string)
  smbios.system.version = 'ThinkPad X31'  (string)
  smbios.system.product = '2672JHG'  (string)
  smbios.system.manufacturer = 'IBM'  (string)

However on a 64-bit system, I only get 4, with UUID being missing

# lshal | grep smbios.system
  smbios.system.serial = 'None'  (string)
  smbios.system.version = 'Rev 1'  (string)
  smbios.system.product = 'Dune/Sahara'  (string)
  smbios.system.manufacturer = 'AMD'  (string)

If I run the dmidecode tool, the UUID info is definitely present & correct in
the expected data fields:

# dmidecode | grep --after 5 "System Information"
System Information
        Manufacturer: AMD
        Product Name: Dune/Sahara
        Version: Rev 1
        Serial Number: None
        UUID: 005F9CF0-C488-0010-A593-B114B6200390

Version-Release number of selected component (if applicable):

How reproducible:
Always on 64-bit

Steps to Reproduce:
1. Run  "lshal | grep smbios.system.uuid"
Actual results:
No matches

Expected results:
Displays the UUID

Additional info:
The bug is caused by mistaken use of 'sizeof' instead of 'strlen' in code
parsing DMI output. Bug is apparently fixed in upstream CVS. The reliable
reporting of UUID from DMI data will be essential for management tools running
in Xen guest domains, enabling them to associate Dom0<->DomU.
Comment 1 John (J5) Palmieri 2006-05-18 15:20:47 EDT
I'm prepping some other fixes for HAL and will add this when I do the update. 
Comment 2 Daniel Berrange 2007-12-11 10:51:00 EST
Long since fixed in Fedora land...

Note You need to log in before you can comment on or make changes to this bug.